petsc-3.4.2 2013-07-02

# DMComputeVariableBounds

compute variable bounds used by SNESVI.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMComputeVariableBounds(DM dm, Vec xl, Vec xu)

Logically Collective on DM

### Input Parameters

| dm | - the DM object to destroy
| x | - current solution at which the bounds are computed

### Output parameters

| xl | - lower bound
| xu | - upper bound

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages